﻿using System.Collections.Generic;

namespace MafiaCommon.Packets
{
    public class EndGamePacket : Packet
    {
        public readonly bool IsWon;
        public readonly List<PlayerRole> PlayerRoles;
        
        public EndGamePacket(bool isWon, List<PlayerRole> playerRoles) : base(PacketType.EndGame)
        {
            IsWon = isWon;
            PlayerRoles = playerRoles;
        }
    }
}