﻿namespace MafiaCommon.Packets
{
    public class PlayerConnectedPacket : Packet
    {
        public readonly string Name;
        public readonly int Players;
        public readonly int MaxPlayers;
        
        public PlayerConnectedPacket(string name, int players, int maxPlayers) : base(PacketType.PlayerConnected)
        {
            Name = name;
            Players = players;
            MaxPlayers = maxPlayers;
        }
    }
}