﻿namespace MafiaCommon.Packets
{
    public class WelcomePacket : Packet
    {
        public readonly string ServerName;
        public readonly int Players;
        public readonly int MaxPlayers;
        
        public WelcomePacket(string serverName, int players, int maxPlayers) : base(PacketType.Welcome)
        {
            ServerName = serverName;
            Players = players;
            MaxPlayers = maxPlayers;
        }
    }
}